<?php 
/**
 * Site identity color
 * @since 1.1
 * @package RoyalNews
 */

function royalnews_customizer_site_identity( $section ){
	$section[ 'title_tagline' ] = array(
		'title' => esc_html__( 'Site Identity', 'royalnews' ),
		'priority'    => 1,
		'fields' => array(
			'time-rext-color' => array(
				'label' => esc_html__( 'Time Text Color', 'royalnews' ),
				'type'  => 'color',
				'default'   => '#000000',
				'output' => array(
					array(
						'element' => '.royalnews-time-wrapper .royalnews-time-inner time',
						'property' => 'color'
					)
				)
			)
		)
	);
	return $section;
}

add_filter( 'royalnews_customizer_theme_option_panel', 'royalnews_customizer_site_identity' );